Index: src/datacreator.cpp
===================================================================
--- src/datacreator.cpp	(revision 70c333f9ab1c2e3d9503da478fc85da9ef13d97b)
+++ src/datacreator.cpp	(revision 1c6081a2e5edeea12712e25bd11eaf9624a4241e)
@@ -54,5 +54,5 @@
  * \return true if file was written successfully
  */
-bool CreateDataEnergyOrder(class EnergyMatrix &Fragments, class KeySetsContainer &KeySet, char *dir, char *prefix, char *msg, char *datum)
+bool CreateDataEnergyOrder(class EnergyMatrix &Fragments, class KeySetsContainer &KeySet, const char *dir, const char *prefix, const char *msg, const char *datum)
 {
 	stringstream filename;
@@ -87,5 +87,5 @@
  * \return true if file was written successfully
  */
-bool CreateDataDeltaEnergyOrder(class EnergyMatrix &Energy, class EnergyMatrix &Fragments, class KeySetsContainer &KeySet, char *dir, char *prefix, char *msg, char *datum)
+bool CreateDataDeltaEnergyOrder(class EnergyMatrix &Energy, class EnergyMatrix &Fragments, class KeySetsContainer &KeySet, const char *dir, const char *prefix, const char *msg, const char *datum)
 {
 	stringstream filename;
@@ -124,5 +124,5 @@
  * \return true if file was written successfully
  */
-bool CreateDataForcesOrder(class ForceMatrix &Fragments, class KeySetsContainer &KeySet, char *dir, char *prefix, char *msg, char *datum, void (*CreateForce)(class MatrixContainer &, int))
+bool CreateDataForcesOrder(class ForceMatrix &Fragments, class KeySetsContainer &KeySet, const char *dir, const char *prefix,const  char *msg, const char *datum, void (*CreateForce)(class MatrixContainer &, int))
 {
 	stringstream filename;
@@ -156,5 +156,5 @@
  * \return true if file was written successfully
  */
-bool CreateDataDeltaForcesOrder(class ForceMatrix &Force, class ForceMatrix &Fragments, class KeySetsContainer &KeySet, char *dir, char *prefix, char *msg, char *datum, void (*CreateForce)(class MatrixContainer &, int))
+bool CreateDataDeltaForcesOrder(class ForceMatrix &Force, class ForceMatrix &Fragments, class KeySetsContainer &KeySet, const char *dir, const char *prefix, const char *msg, const char *datum, void (*CreateForce)(class MatrixContainer &, int))
 {
 	stringstream filename;
@@ -188,5 +188,5 @@
  * \return true if file was written successfully
  */
-bool CreateDataDeltaForcesOrderPerAtom(class ForceMatrix &Force, class ForceMatrix &Fragments, class KeySetsContainer &KeySet, char *dir, char *prefix, char *msg, char *datum)
+bool CreateDataDeltaForcesOrderPerAtom(class ForceMatrix &Force, class ForceMatrix &Fragments, class KeySetsContainer &KeySet, const char *dir, const char *prefix, const char *msg, const char *datum)
 {
 	stringstream filename;
@@ -213,5 +213,5 @@
 						norm += Force.Matrix[Force.MatrixCounter][ j ][l+m]*Force.Matrix[Force.MatrixCounter][ j ][l+m];
 					norm = sqrt(norm);
-				}																																																		
+				}
 //				if (norm < MYEPSILON)
 					output << scientific << Fragments.Matrix[Fragments.MatrixCounter][ j ][l] << "\t";
@@ -235,5 +235,5 @@
  * \return true if file was written successfully
  */
-bool CreateDataForcesOrderPerAtom(class ForceMatrix &Fragments, class KeySetsContainer &KeySet, char *dir, char *prefix, char *msg, char *datum)
+bool CreateDataForcesOrderPerAtom(class ForceMatrix &Fragments, class KeySetsContainer &KeySet, const char *dir, const char *prefix, const char *msg, const char *datum)
 {
 	stringstream filename;
@@ -264,5 +264,5 @@
 /** Plot matrix vs. fragment.
  */
-bool CreateDataFragment(class MatrixContainer &Fragment, class KeySetsContainer &KeySet, char *dir, char *prefix, char *msg, char *datum, void (*CreateFragment)(class MatrixContainer &, int))
+bool CreateDataFragment(class MatrixContainer &Fragment, class KeySetsContainer &KeySet, const char *dir, const char *prefix, const char *msg, const char *datum, void (*CreateFragment)(class MatrixContainer &, int))
 {
 	stringstream filename;
@@ -329,5 +329,5 @@
 /** Plot matrix vs. fragment.
  */
-bool CreateDataFragmentOrder(class MatrixContainer &Fragment, class KeySetsContainer &KeySet, char *dir, char *prefix, char *msg, char *datum, void (*CreateFragmentOrder)(class MatrixContainer &, class KeySetsContainer &, int))
+bool CreateDataFragmentOrder(class MatrixContainer &Fragment, class KeySetsContainer &KeySet, const char *dir, const char *prefix, const char *msg, const char *datum, void (*CreateFragmentOrder)(class MatrixContainer &, class KeySetsContainer &, int))
 {
 	stringstream filename;
@@ -649,5 +649,5 @@
 {
 	stringstream line(Force.Header);
-	char *fillcolor[5] = {"black", "red", "blue", "green", "cyan"};
+	const char *fillcolor[5] = {"black", "red", "blue", "green", "cyan"};
 	string token;
 
@@ -681,5 +681,5 @@
 {
 	stringstream line(Force.Header);
-	char *fillcolor[5] = {"black", "red", "blue", "green", "cyan"};
+	const char *fillcolor[5] = {"black", "red", "blue", "green", "cyan"};
 	string token;
 
Index: src/datacreator.hpp
===================================================================
--- src/datacreator.hpp	(revision 70c333f9ab1c2e3d9503da478fc85da9ef13d97b)
+++ src/datacreator.hpp	(revision 1c6081a2e5edeea12712e25bd11eaf9624a4241e)
@@ -20,12 +20,12 @@
 bool AppendOutputFile(ofstream &output, const char *dir, const char *filename);
 
-bool CreateDataEnergyOrder(class EnergyMatrix &Fragments, class KeySetsContainer &KeySet, char *dir, char *prefix, char *msg, char *datum);
-bool CreateDataDeltaEnergyOrder(class EnergyMatrix &Energy, class EnergyMatrix &Fragments, class KeySetsContainer &KeySet, char *dir, char *prefix, char *msg, char *datum);
-bool CreateDataForcesOrder(class ForceMatrix &Fragments, class KeySetsContainer &KeySet, char *dir, char *prefix, char *msg, char *datum, void (*CreateForce)(class MatrixContainer &, int));
-bool CreateDataForcesOrderPerAtom(class ForceMatrix &Fragments, class KeySetsContainer &KeySet, char *dir, char *prefix, char *msg, char *datum);
-bool CreateDataDeltaForcesOrder(class ForceMatrix &Force, class ForceMatrix &Fragments, class KeySetsContainer &KeySet, char *dir, char *prefix, char *msg, char *datum, void (*CreateForce)(class MatrixContainer &, int));
-bool CreateDataDeltaForcesOrderPerAtom(class ForceMatrix &Force, class ForceMatrix &Fragments, class KeySetsContainer &KeySet, char *dir, char *prefix, char *msg, char *datum);
-bool CreateDataFragment(class MatrixContainer &ForceFragments, class KeySetsContainer &KeySet, char *dir, char *prefix, char *msg, char *datum, void (*CreateForce)(class MatrixContainer &, int));
-bool CreateDataFragmentOrder(class MatrixContainer &Fragment, class KeySetsContainer &KeySet, char *dir, char *prefix, char *msg, char *datum, void (*CreateFragmentOrder)(class MatrixContainer &, class KeySetsContainer &, int));
+bool CreateDataEnergyOrder(class EnergyMatrix &Fragments, class KeySetsContainer &KeySet, const char *dir, const char *prefix, const char *msg, const char *datum);
+bool CreateDataDeltaEnergyOrder(class EnergyMatrix &Energy, class EnergyMatrix &Fragments, class KeySetsContainer &KeySet, const char *dir, const char *prefix, const char *msg, const char *datum);
+bool CreateDataForcesOrder(class ForceMatrix &Fragments, class KeySetsContainer &KeySet, const char *dir, const char *prefix, const char *msg, const char *datum, void (*CreateForce)(class MatrixContainer &, int));
+bool CreateDataForcesOrderPerAtom(class ForceMatrix &Fragments, class KeySetsContainer &KeySet, const char *dir, const char *prefix, const char *msg, const char *datum);
+bool CreateDataDeltaForcesOrder(class ForceMatrix &Force, class ForceMatrix &Fragments, class KeySetsContainer &KeySet, const char *dir, const char *prefix, const char *msg, const char *datum, void (*CreateForce)(class MatrixContainer &, int));
+bool CreateDataDeltaForcesOrderPerAtom(class ForceMatrix &Force, class ForceMatrix &Fragments, class KeySetsContainer &KeySet, const char *dir, const char *prefix, const char *msg, const char *datum);
+bool CreateDataFragment(class MatrixContainer &ForceFragments, class KeySetsContainer &KeySet, const char *dir, const char *prefix, const char *msg, const char *datum, void (*CreateForce)(class MatrixContainer &, int));
+bool CreateDataFragmentOrder(class MatrixContainer &Fragment, class KeySetsContainer &KeySet, const char *dir, const char *prefix, const char *msg, const char *datum, void (*CreateFragmentOrder)(class MatrixContainer &, class KeySetsContainer &, int));
 
 void CreateEnergy(class MatrixContainer &Energy, int MatrixNumber);
Index: src/parser.cpp
===================================================================
--- src/parser.cpp	(revision 70c333f9ab1c2e3d9503da478fc85da9ef13d97b)
+++ src/parser.cpp	(revision 1c6081a2e5edeea12712e25bd11eaf9624a4241e)
@@ -208,5 +208,5 @@
  * \return parsing successful
  */
-bool MatrixContainer::ParseFragmentMatrix(char *name, char *prefix, string suffix, int skiplines, int skipcolumns)
+bool MatrixContainer::ParseFragmentMatrix(const char *name, const char *prefix, string suffix, int skiplines, int skipcolumns)
 {
 	char filename[1023];
@@ -258,5 +258,5 @@
  * \return Allocation successful
  */
-bool MatrixContainer::AllocateMatrix(char *GivenHeader, int MCounter, int *RCounter, int CCounter)
+bool MatrixContainer::AllocateMatrix(const char *GivenHeader, int MCounter, int *RCounter, int CCounter)
 {
 	Header = (char *) Malloc(sizeof(char)*1024, "MatrixContainer::ParseFragmentMatrix: *EnergyHeader");
@@ -516,5 +516,5 @@
  * \return parsing successful
  */
-bool EnergyMatrix::ParseFragmentMatrix(char *name, char *prefix, string suffix, int skiplines, int skipcolumns)
+bool EnergyMatrix::ParseFragmentMatrix(const char *name, const char *prefix, string suffix, int skiplines, int skipcolumns)
 {
 	char filename[1024];
@@ -548,5 +548,5 @@
  * \return parsing successful
  */
-bool ForceMatrix::ParseIndices(char *name)
+bool ForceMatrix::ParseIndices(const char *name)
 {
 	ifstream input;
@@ -626,5 +626,5 @@
  * \return parsing successful
  */
-bool ForceMatrix::ParseFragmentMatrix(char *name, char *prefix, string suffix, int skiplines, int skipcolumns)
+bool ForceMatrix::ParseFragmentMatrix(const char *name, const char *prefix, string suffix, int skiplines, int skipcolumns)
 {
 	char filename[1023];
Index: src/parser.hpp
===================================================================
--- src/parser.hpp	(revision 70c333f9ab1c2e3d9503da478fc85da9ef13d97b)
+++ src/parser.hpp	(revision 1c6081a2e5edeea12712e25bd11eaf9624a4241e)
@@ -52,6 +52,6 @@
 
 	bool ParseMatrix(const char *name, int skiplines, int skipcolumns, int MatrixNr);
-	virtual bool ParseFragmentMatrix(char *name, char *prefix, string suffix, int skiplines, int skipcolumns);
-	bool AllocateMatrix(char *GivenHeader, int MCounter, int *RCounter, int CCounter);
+	virtual bool ParseFragmentMatrix(const char *name, const char *prefix, string suffix, int skiplines, int skipcolumns);
+	bool AllocateMatrix(const char *GivenHeader, int MCounter, int *RCounter, int CCounter);
 	bool ResetMatrix();
 	double FindMinValue();
@@ -72,5 +72,5 @@
 		bool ParseIndices();
 		bool SumSubEnergy(class EnergyMatrix &Fragments, class EnergyMatrix *CorrectionFragments, class KeySetsContainer &KeySet, int Order, double sign);
-		bool ParseFragmentMatrix(char *name, char *prefix, string suffix, int skiplines, int skipcolumns);
+		bool ParseFragmentMatrix(const char *name, const char *prefix, string suffix, int skiplines, int skipcolumns);
 };
 
@@ -79,7 +79,7 @@
 class ForceMatrix : public MatrixContainer {
 	public:
-		bool ParseIndices(char *name);
+		bool ParseIndices(const char *name);
 		bool SumSubForces(class ForceMatrix &Fragments, class KeySetsContainer &KeySet, int Order, double sign);
-		bool ParseFragmentMatrix(char *name, char *prefix, string suffix, int skiplines, int skipcolumns);
+		bool ParseFragmentMatrix(const char *name, const char *prefix, string suffix, int skiplines, int skipcolumns);
 };
 
